1. Items - User
3enab
πŸ‘€ User Application
  • πŸ‘€ User Application
  • πŸͺ Vendor Application
  • πŸ‘¨β€πŸ’Ό Admin Application
  • 🚚 Delivery Application
  • Auth - User
    • Register a new user
      POST
    • Login user
      POST
    • Logout user
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Addresses - User
    • Create a new address
      POST
    • Get all addresses
      GET
    • Get default address
      GET
    • Get address by ID
      GET
    • Update address
      PUT
    • Delete address
      DELETE
    • Set as default address
      PATCH
  • Ads - User
    • Get all advertisements
      GET
    • Get a specific advertisement by ID
      GET
  • Coupons - User
    • Get available coupons
      GET
  • Delivery Areas - User
    • Get all active delivery areas
  • Items - User
    • Get all items
      GET
    • Get a specific item by ID
      GET
    • Get variants of an item
      GET
    • Get all items (Direct Access)
      GET
    • Get all items for a specific vendor (Direct Access)
      GET
    • Get item by ID (Direct Access)
      GET
  • Menu Categories - User
    • Get all active menu categories for a vendor
    • Get a menu category by ID
  • Orders - User
    • Preview order pricing
    • Get all orders
    • Create a new order
    • Get order by ID
    • Cancel order
  • Rates - User
    • Create a new rating for a vendor
    • Get all ratings for a vendor
    • Get a specific rating by ID
    • Update a rating
    • Delete a rating
  • Users - User
    • Get current user profile
    • Update current user profile
    • Delete current user account
    • Change user password
  • Vendor Categories - User
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - User
    • Get all active vendors
    • Get vendor by ID
    • Get vendor logo
  • Versions - User
    • Get the latest version for User app
  • App Notices - User
    • Get active app notices
  1. Items - User

Get variants of an item

GET
/api/v1/vendors/{vendorId}/categories/{menuCategoryId}/items/{itemId}/variants
Retrieve all active variants for a specific parent item.
Use this endpoint when an item has optionName set (indicating it has variants).

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟒200OK
application/json
Variants retrieved successfully
Body

Example
{
    "status": "success",
    "message": "Variants fetched successfully",
    "data": {
        "variants": [
            {
                "_id": "507f1f77bcf86cd799439021",
                "name": "Pizza Margherita",
                "description": "Classic Italian pizza",
                "basePrice": 50,
                "discount": null,
                "isActive": true,
                "isAvailable": true,
                "isGroupAvailable": true,
                "order": 1,
                "vendor": "507f1f77bcf86cd799439013",
                "category": "507f1f77bcf86cd799439012",
                "prepTime": "20 minutes",
                "imagePath": null,
                "optionName": "Small",
                "parentItem": "507f1f77bcf86cd799439012",
                "isVariant": true,
                "createdAt": "2024-01-01T00:00:00.000Z",
                "updatedAt": "2024-01-01T00:00:00.000Z"
            },
            {
                "_id": "507f1f77bcf86cd799439022",
                "name": "Pizza Margherita",
                "description": "Classic Italian pizza",
                "basePrice": 75,
                "discount": null,
                "isActive": true,
                "isAvailable": true,
                "isGroupAvailable": true,
                "order": 2,
                "vendor": "507f1f77bcf86cd799439013",
                "category": "507f1f77bcf86cd799439012",
                "prepTime": "20 minutes",
                "imagePath": null,
                "optionName": "Medium",
                "parentItem": "507f1f77bcf86cd799439012",
                "isVariant": true,
                "createdAt": "2024-01-01T00:00:00.000Z",
                "updatedAt": "2024-01-01T00:00:00.000Z"
            },
            {
                "_id": "507f1f77bcf86cd799439023",
                "name": "Pizza Margherita",
                "description": "Classic Italian pizza",
                "basePrice": 100,
                "discount": null,
                "isActive": true,
                "isAvailable": true,
                "isGroupAvailable": true,
                "order": 3,
                "vendor": "507f1f77bcf86cd799439013",
                "category": "507f1f77bcf86cd799439012",
                "prepTime": "20 minutes",
                "imagePath": null,
                "optionName": "Large",
                "parentItem": "507f1f77bcf86cd799439012",
                "isVariant": true,
                "createdAt": "2024-01-01T00:00:00.000Z",
                "updatedAt": "2024-01-01T00:00:00.000Z"
            }
        ]
    }
}
🟠404Not Found
πŸ”΄500Internal Server Error
Modified atΒ 2026-04-08 13:48:58
Previous
Get a specific item by ID
Next
Get all items (Direct Access)
Built with